package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/8/16 0016
 */
public class EduOrganStudentDataDto {

    private int index;

    private Integer organId;

    @ApiModelProperty("分部名称")
    private String organName;

    @ApiModelProperty("学员总数")
    private int totalStudentNum;

    @ApiModelProperty("付费会员数")
    private int vipStudentNum;

    @ApiModelProperty("试用会员数")
    private int eVipStudentNum;

    @ApiModelProperty("新增会员数")
    private int newMemberStudentNum;

    @ApiModelProperty("付费会员占比")
    private float vipStudentDuty;

    @ApiModelProperty("云教练试用人数")
    private int cloudStudyUseStudentNum;

    @ApiModelProperty("云教练使用人数占比")
    private float cloudStudyUseStudentDuty;

    @ApiModelProperty("活跃人数")
    private int cloudStudyLivelyStudentNum;

    @ApiModelProperty("活跃人数占比")
    private float cloudStudyLivelyStudentDuty;

    @ApiModelProperty("云教练新增人数")
    private int newCloudStudyStudentNum;

    @ApiModelProperty("新用户人数")
    private int newStudentNum;

    @ApiModelProperty("新用户占比")
    private float newStudentDuty;

    @ApiModelProperty("目标人数")
    private Integer targetNum;

    public Integer getTargetNum() {
        return targetNum;
    }

    public void setTargetNum(Integer targetNum) {
        this.targetNum = targetNum;
    }

    public int getNewStudentNum() {
        return newStudentNum;
    }

    public void setNewStudentNum(int newStudentNum) {
        this.newStudentNum = newStudentNum;
    }

    public float getNewStudentDuty() {
        return newStudentDuty;
    }

    public void setNewStudentDuty(float newStudentDuty) {
        this.newStudentDuty = newStudentDuty;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public int getTotalStudentNum() {
        return totalStudentNum;
    }

    public void setTotalStudentNum(int totalStudentNum) {
        this.totalStudentNum = totalStudentNum;
    }

    public int getVipStudentNum() {
        return vipStudentNum;
    }

    public void setVipStudentNum(int vipStudentNum) {
        this.vipStudentNum = vipStudentNum;
    }

    public int geteVipStudentNum() {
        return eVipStudentNum;
    }

    public void seteVipStudentNum(int eVipStudentNum) {
        this.eVipStudentNum = eVipStudentNum;
    }

    public float getVipStudentDuty() {
        return vipStudentDuty;
    }

    public void setVipStudentDuty(float vipStudentDuty) {
        this.vipStudentDuty = vipStudentDuty;
    }

    public int getCloudStudyUseStudentNum() {
        return cloudStudyUseStudentNum;
    }

    public void setCloudStudyUseStudentNum(int cloudStudyUseStudentNum) {
        this.cloudStudyUseStudentNum = cloudStudyUseStudentNum;
    }

    public float getCloudStudyUseStudentDuty() {
        return cloudStudyUseStudentDuty;
    }

    public void setCloudStudyUseStudentDuty(float cloudStudyUseStudentDuty) {
        this.cloudStudyUseStudentDuty = cloudStudyUseStudentDuty;
    }

    public int getCloudStudyLivelyStudentNum() {
        return cloudStudyLivelyStudentNum;
    }

    public void setCloudStudyLivelyStudentNum(int cloudStudyLivelyStudentNum) {
        this.cloudStudyLivelyStudentNum = cloudStudyLivelyStudentNum;
    }

    public int getNewCloudStudyStudentNum() {
        return newCloudStudyStudentNum;
    }

    public void setNewCloudStudyStudentNum(int newCloudStudyStudentNum) {
        this.newCloudStudyStudentNum = newCloudStudyStudentNum;
    }

    public int getNewMemberStudentNum() {
        return newMemberStudentNum;
    }

    public void setNewMemberStudentNum(int newMemberStudentNum) {
        this.newMemberStudentNum = newMemberStudentNum;
    }

    public float getCloudStudyLivelyStudentDuty() {
        return cloudStudyLivelyStudentDuty;
    }

    public void setCloudStudyLivelyStudentDuty(float cloudStudyLivelyStudentDuty) {
        this.cloudStudyLivelyStudentDuty = cloudStudyLivelyStudentDuty;
    }
}
